//////////////////////////////////////
//Audioxtreme sample 1
//how load and play a sample
//////////////////////////////////////
#include "..\..\include\audioxtreme.h"
#include <stdio.h>
#include <conio.h>

void main(void) {
	SAMPLE* my_sample;

	printf("\nAudioxtreme sample 1 - how to play a sample");
		
	//init the sound system. We can init it with up to 32
	//voices....but dont use more than you need.....
	//Lets go for 4 voices.
	if(InstallSound(4)==NULL) {
		printf("\nError initializing sound");
		getch();
		exit(0);
	}
		
	//lets load the sound and exit on error....try to load the sound from the current folder OR
	//one folder up....the current working dir depends on wether you are running tis file from
	//the vc++ ide or the executable as it is.
	my_sample=LoadSample("start.wav");
	if(my_sample==NULL) {
		//try again in one dir up (if we are in debu or release folder...)
		my_sample=LoadSample("..\\start.wav");
		if(my_sample==NULL) {
			printf("\nError loding start.wav. bye bye.");
			getch();
			exit(0);
		}
	}
	
	//print out a message and wait for escape to be pressed
	//or play the sample each time space is pressed
	char c=0;
	printf("\nPress space to make noise or escape to exit");
	while(c!=27) {
		c=getch();
		//an extra parameter in PlaySample can make the sound loop. See the docs...
		if(c==' ')
			PlaySample(my_sample);
	}

	//release the sample and exit the soundsystem
	UnloadSample(my_sample);
	RemoveSound();
}


	