//////////////////////////////////////
//Audioxtreme sample 2
//how load and play a module
//////////////////////////////////////
#include "..\..\include\audioxtreme.h"
#include <stdio.h>
#include <conio.h>

void main(void) {
	AX_MODULE* my_mod;
	
	printf("\nAudioxtreme sample 2 - how to play a module");
		
	//init the sound system. We can init it with up to 32
	//voices....but dont use more than you need.....
	//Lets go for 6 voices. (budrap is a 6-voice mod so we
	//need at least 6 voices...if you need more for your
	//own sound fx just allocate some more. Playing samples
	//while playing a module automatically doesnt play
	//the samples on the same voices as the module. Luckily for you!)
	if(InstallSound(6)==NULL) {
		printf("\nError initializing sound");
		getch();
		exit(0);
	}
		
		
	//use the same tactics as loading the sample in example 1.....
	my_mod=LoadMod("budrap.mod");
	if(my_mod==NULL) {
		//try again in one dir up (if we are in debug or release folder...)
		my_mod=LoadMod("..\\budrap.mod");
		if(my_mod==NULL) {
			printf("\nError loding budrap.mod. bye bye.");
			getch();
			exit(0);
		}
	}
	
	//start playing the module. This function might have an extended, last parameter
	//concerning times to repeat...but budrap.mod is self-repeating and never stops
	//(until we call StopMod offcourse!)
	PlayMusic(my_mod);
		
	//print the modules name as saved on disk....
	printf("\nNow playing %s",ModName(my_mod));
	
	//print out a message and wait for escape to be pressed
	//or play the sample each time space is pressed
	char c=0;
	printf("\nPress escape to exit...");
	while(c!=27) {
		c=getch();
	}

	//stop the module
	StopMusic();
	
	//release the the module and exit the soundsystem
	UnloadMusic(my_mod);
	RemoveSound();
}


	