//////////////////////////////////////
//Audioxtreme sample 3
//how load and play a midi song with
//m$ direct music
//////////////////////////////////////
#include "..\..\include\audioxtreme.h"
#include <stdio.h>
#include <conio.h>

void main(void) {
	AX_MIDI* my_midi;
	
	printf("\nAudioxtreme sample 3 - how to play a midi song with Micro$oft direct music\nand audioxtreme. Quite a bit simpler than with MS core dmusic classes huh?");
	printf("\nJust a sec. initializing the midi player might take a few seconds....");
	
	//init the directsound player. unlike when playing modules and samples we dont need to
	//call InstallSound...But if you wanna play some samples in the background you still
	//have to call install sound!
	if(InitMidi()==NULL) {
		printf("\nError initializing the midi player");
		getch();
		exit(0);
	}
	
	//try to load the midi from the current dir. or one dir up. Se sample #1 why.....if you cant guess
	my_midi=LoadMidi("handel - allegro.mid");
	if(my_midi==NULL) {
		my_midi=LoadMidi("..\\handel - allegro.mid");
		if(my_midi==NULL) {
			printf("\nError loading handel-allegro.mid. bye bye.");
			getch();
			exit(0);
		}
	}
	

	PlayMusic(my_midi);
	printf("\nNow playing handel- allegro.mid....press any key to exit");

	getch();
	printf("Good bye!");
		
	
	//stop the music
	StopMusic();
	
	//release the midi
	UnloadMusic(my_midi);
	
	//and deinitialize the midi player
	KillMidi();
}


	
